package de.hhhammer.prozessor.core.builder;

import javax.lang.model.element.RecordComponentElement;
import javax.lang.model.element.TypeElement;
import java.util.List;

public class BuilderAnnotatedClass {
    private final TypeElement clazz;

    public BuilderAnnotatedClass(final TypeElement clazz) {
        this.clazz = clazz;
    }

    public List<? extends RecordComponentElement> getFields() {
        return this.clazz.getRecordComponents();
    }
}
